Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1810424 - need alerts for aggregated API metrics
Summary: need alerts for aggregated API metrics
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.0
Assignee: Stefan Schimanski
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks: 1772564
TreeView+ depends on / blocked
 
Reported: 2020-03-05 08:41 UTC by Stefan Schimanski
Modified: 2020-07-13 17:18 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1772564
Environment:
Last Closed: 2020-07-13 17:18:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 691 0 None closed Bug 1810424: jsonnet/jsonnetfile.json: Pin kubernetes-mixin to master 2020-08-24 13:59:50 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:18:44 UTC

Comment 3 Ke Wang 2020-03-26 06:44:47 UTC
Verified with OCP build 4.5.0-0.nightly-2020-03-25-223812.

Verification steps,
1. Make some apiservice fail, e.g. remove openshift-apiserver by:
 $ oc patch openshiftapiserver cluster --type=json -p '[{"op": "replace", "path": "/spec/managementState", "value": "Removed"}]'
 wait for a while, recovered it.
 $ oc patch openshiftapiserver cluster --type=json -p '[{"op": "replace", "path": "/spec/managementState", "value": "Managed"}]'
  
2. Open the prometheus UI from OCP web console -> alerts page, searching keyword ‘AggregatedAPIDown’ in page, some likes AggregatedAPIDown (11 active) will be displayed, click on the link, there are some unavailable API showing that  .

We can see the feature works well with PR merged OCP build.

Comment 5 errata-xmlrpc 2020-07-13 17:18:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.